
Redmine - Defect #19476

Administration - Custom fields Exception on Delete

2015-03-25 12:01 - Andrei Neacsu

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 3.0.1

Description

Database manager: MariaDB

Ruby version: ruby 2.0.0p353

Rails version: Rails 4.2.0

Plugin list: redmine_create_git, redmine_dashboard, redmine_diff_email, redmine_dmsf.

Exception:

Processing by CustomFieldsController#index as HTML

  Parameters: {"tab"=>"IssueCustomField"}

  Current user: Andrei (id=1)

  Rendered custom_fields/index.html.erb within layouts/admin (3.5ms)

Completed 500 Internal Server Error in 8ms

ActionView::Template::Error (uninitialized constant CustomField::CUSTOM_FIELDS_TABS):

     5: <%= title l(:label_custom_field_plural) %>^M

     6: ^M

     7: <% if @custom_fields_by_type.present? %>^M

     8:   <%= render_custom_fields_tabs(@custom_fields_by_type.keys) %>^M

     9: <% else %>^M

    10:   <p class="nodata"><%= l(:label_no_data) %></p>^M

    11: <% end %>^M

  app/views/custom_fields/index.html.erb:8:in `_app_views_custom_fields_index_html_erb___180735337

863553819_38640880'

History

#1 - 2015-03-25 12:28 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I cannot reproduce.

Try without some plugins.

Started DELETE "/custom_fields/8" for 192.168.11.10 at 2015-03-25 20:24:28 +0900

Processing by CustomFieldsController#destroy as HTML

  Parameters: {"authenticity_token"=>"xxxx", "id"=>"8"}

  Current user: admin (id=1)

Redirected to http://192.168.11.11:3000/custom_fields?tab=IssueCustomField

Completed 302 Found in 144ms (ActiveRecord: 132.8ms)

Started GET "/custom_fields?tab=IssueCustomField" for 192.168.11.10 at 2015-03-25 20:24:28 +0900

Processing by CustomFieldsController#index as HTML

  Parameters: {"tab"=>"IssueCustomField"}

  Current user: admin (id=1)

  Rendered custom_fields/_index.html.erb (70.7ms)

  Rendered custom_fields/_index.html.erb (15.8ms)

  Rendered custom_fields/_index.html.erb (7.0ms)

  Rendered common/_tabs.html.erb (95.1ms)

  Rendered custom_fields/index.html.erb within layouts/admin (95.5ms)

  Rendered admin/_menu.html.erb (2.1ms)

  Rendered layouts/base.html.erb (9.7ms)

Completed 200 OK in 114ms (Views: 109.4ms | ActiveRecord: 0.7ms)
#2 - 2019-03-03 08:27 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
